module AControl(sclk, lrclk, shift);
input sclk, lrclk;
output shift;


reg [8:0] count; 
wire shift;
reg lastLR;

parameter NUM_BITS = 20;
assign shift = count < NUM_BITS; 

always @(posedge sclk) begin
	count <= count + 1;
	
	if(!lastLR && lrclk)
		count <= 0;
	lastLR <= lrclk;
end

endmodule
		
