module bigmem (CLK, RE, WE, SWITCH, INADDR, OUTADDR, INDATA, OUTDATA) ;

input CLK ;
input RE;
input WE;
input SWITCH ;
input [18:0] INADDR ;
input [18:0] OUTADDR ;
input INDATA ;
output OUTDATA ;

// add your declarations here
reg out;
reg baseaddress;
reg memory [767:0];

assign OUTDATA = out;
// add your code here
always@(posedge CLK) begin
	baseaddress = 307200;
	if(SWITCH)begin //reading from mem 1 writing to mem 0
		if(RE) begin
			out = memory[baseaddress + OUTADDR];
		end
		if(WE) begin
			memory[INADDR] = INDATA;
		end
	end
	else begin
		if(RE) begin
			out = memory[OUTADDR];
		end
		if(WE) begin
			memory[INADDR + baseaddress] = INDATA;
		end
	end
end


endmodule 
