module bulletctrl (clk, reset, keystroke, playery, valid, bulletx, bullety) ;

input clk;
input reset;
input keystroke ;
input [8:0] playery;
output valid;
output [9:0] bulletx;
output [8:0] bullety;

// add your declarations here
reg [9:0] _bulletx;
assign bulletx = _bulletx;
reg [8:0] _bullety;
assign bullety = _bullety;
reg _valid;
assign valid = _valid;

reg [15:0] count;

always @(posedge clk) begin
	count <= count +1;
end

// add your code here
always@(posedge clk) begin
	if(reset) 
		_valid <= 0;
	else begin
		if(!_valid) begin
 			if(keystroke) begin
 				_valid <= 1;
 				_bullety <=playery;
 				_bulletx <= 10;
 			end;
 		end
 		else begin
			if(count ==0)
				_bulletx <= _bulletx +1;
			else if(_bulletx >620) begin
				_valid <=0;
				_bulletx <= 0;
			end
		end
	end
end							

endmodule 
