module DIS_COLOR (SELECT, UP, DOWN, RIGHT, LEFT, X, Y, CLK, CLR) ;

input SELECT ;
input UP ;
input DOWN ;
input RIGHT ;
input LEFT ;
input [9:0] X ;
input [9:0] Y ;
input CLK ;
output [2:0] CLR ;

// add your declarations here
reg [2:0] CLR, square_CLR, tri_CLR, cir_CLR, obj_CLR;
//wire  UP1, DOWN1,RIGHT1, LEFT1;
reg  UP, DOWN, RIGHT, LEFT, prev_UP, prev_DOWN, prev_LEFT, prev_RIGHT, prev_direction;
reg up_contr, down_contr, left_contr, right_contr, CONTROL;
reg right_contr2;
reg state, check;
reg [9:0] X_square, Y_square,  X_next, Y_next;
reg [14:0] counter;
reg [14:0] counter2;
reg [3:0] dir_counter;
reg [1:0] direction, dir1, dir2, dir3, dir4;
reg SELECT, prev_SELECT;
reg r1, r2, r3, r4, r5, r6, r7, r8, r9, r10;
reg [3:0] count;
reg [2:0] count1;
reg [3:0] count2;


always @ (posedge CLK) begin
// add your code here

//draw backgound
    if (X>0 && X<640 && Y>0 && Y<480) CLR <= 4;
    else CLR <= 0;
    
    if ((X>20 && X<620 && Y>20 && Y<40) ||
    	(X>420 && X<440 && Y>120 && Y<141) ||
    	(X>420 && X<440 && Y>279 && Y<300) ||
    	(X>420 && X<440 && Y>39 && Y<60) ||
    	(X>340 && X<500 && Y>87 && Y<92) ||
    	(X>480 && X<500 && Y>91 && Y<120) ||
    	(X>260 && X<280 && Y>159 && Y<180) ||
    	(X>220 && X<360 && Y>215 && Y<220) ||
    	(X>20 && X<40 && Y>39 && Y<400) ||
    	(X>39 && X<440 && Y>380 && Y<400) ||
    	(X>460 && X<601 && Y>380 && Y<400) ||
    	(X>600 && X<620 && Y>39 && Y<400) ||
    	(X>140 && X<160 && Y>240 && Y <381) ||
    	(X>340 && X<601 && Y>260 && Y<280) ||
    	(X>39 && X<440 && Y>140 && Y<160) ||
    	(X>540 && X<601 && Y>140 && Y<160) )
    	     
    	 CLR <= 2;
    	     
    
    
    if(CONTROL ==0) begin
       X_square <= 80;
       Y_square <= 80;
   
       count <=0;
       direction <= 0;
       square_CLR <= 1; 
       state <= 0; 	//initially, square is selected
       counter <=0;
       CONTROL <=1;
       X_next <= 80;
       Y_next <=80;
       count1 <= 0;
       count2 <= 0;
       
        r1 <=0;
       r2 <= 0;
       r3 <=0;
       r3 <=0;
       r4 <=1; 
       r5 <=0;
       r6<= 1;
       r7 <=0;
       r8<=0;
       r9 <=1; 
       r10 <=0;
       
    end


   if(CONTROL == 1) begin
     
     if (counter == 1000) begin
        if (Y_square > 440) begin
           X_square <= 80;
           Y_square <= 80;
           state <= 1;
        end
     end
   
     if(counter == 32767)
       counter <=0;
     else
       counter <= counter +1;
       
     //if (dir_counter == 6) dir_counter <= 0;
     //else dir_counter <= dir_counter + 1;
           
     //draw oject       
      //draw square
     if (X>X_square && X < X_square + 20 && Y > Y_square && Y <Y_square + 20)   
        CLR <= square_CLR;
     if (counter2 == 4092) begin   
       if ((X_next>20 && X_next<620 && Y_next>20 && Y_next<40) ||
    	(X_next>420 && X_next<440 && Y_next>119 && Y_next<141) ||
    	(X_next>420 && X_next<440 && Y_next>279 && Y_next<300) ||
    	(X_next>420 && X_next<440 && Y_next>39 && Y_next<60) ||
    	(X_next>340 && X_next<500 && Y_next>87 && Y_next<92) ||
    	(X_next>480 && X_next<500 && Y_next>91 && Y_next<120) ||
    	(X_next>260 && X_next<280 && Y_next>159 && Y_next<180) ||
    	(X_next>220 && X_next<360 && Y_next>215 && Y_next<220) ||
    	(X_next>20 && X_next<40 && Y_next>39 && Y_next<400) ||
    	(X_next>39 && X_next<440 && Y_next>380 && Y_next<400) ||
    	(X_next>460 && X_next<601 && Y_next>380 && Y_next<400) ||
    	(X_next>600 && X_next<620 && Y_next>39 && Y_next<400) ||
    	(X_next>140 && X_next<160 && Y_next>239 && Y_next <381) ||
    	(X_next>340 && X_next<601 && Y_next>260 && Y_next<280) ||
    	(X_next>39 && X_next<440 && Y_next>140 && Y_next<160) ||
    	(X_next>540 && X_next<601 && Y_next>140 && Y_next<160) )check <= 0;
        else check <= 1;

      end
    	     
     
  
            
    	  if(counter2 == 4093) begin
    	      if(check ==0) begin
    	         
    	         r1 <= r10;
    	         r2 <= r1;
    	         r3 <= r2;
    	         r5 <= r4;
    	         r6 <= r5;
    	         r7 <= r6;
    	         r8 <= r7;
    	         r9 <= r8;
    	         r10 <= r9;
    	      
     	         if( r10 == r3)
     	            r4 <=0;
     	          else
     	           r4 <=1;
      
      
    	 dir_counter[1:0] <= {r9, r10};
    	 end
    	 end
    	 
      //end
        
     //case (state)
     //CASE 0 ..............................
    	//  0 : begin 
      
    	if (state == 1) begin
    	   
    	   square_CLR <= 3;
    	       	
    	   if(counter2 == 4090) begin
    	        if(up_contr ==1) begin
    	          Y_next <= Y_square -1;
    	          X_next <= X_square;
    	        end
    	        else if(down_contr == 1) begin
    	          Y_next <=  Y_square +21;
    	          X_next <= X_square;
    	        end
    	        else if(left_contr == 1) begin
    	          X_next <= X_square -1;
    	          Y_next <= Y_square;
    	        end
    	        else begin
    	          X_next <= X_square +21;
    	          Y_next <= Y_square;
    	        end
    	   end
    	       	
    	   if (counter2 == 4095) begin
    	   
    	        if(count ==7) count <= 0;
    		else count <= count+1;
    			
    		if (up_contr == 1) begin
    		   if(check == 1) 
    	              Y_square <= Y_square -1;
    	           else begin 
    	              Y_next <= Y_next +1;
    	           end
    		   
    		   if(count ==7) up_contr <=0;    
    		end
	
    		else if (down_contr == 1) begin
    	             if(check == 1) begin
    	               Y_square <= Y_square +1;
    	               Y_next <= Y_square +1;
    	             end 
    	             else  begin
    	               Y_next <=  Y_next -21; 
    	             end
    	             if(count == 7) down_contr <=0;  		    
    		end
    		
    		else if (left_contr == 1) begin
    		     if(check ==1) begin
    	               X_square <= X_square - 1;
    	               X_next  <= X_square -1;
    	             end 
    	             else begin 
    	               X_next <= X_next +1;
    	             end
    	             if(count == 7) left_contr <=0;  
    		end
    		
    		else if (right_contr == 1) begin
    		     if(check == 1) begin
    	               X_square <= X_square + 1;
    	               X_next  <= X_square +1;
    	             end 
    	             else begin 
    	               X_next <= X_next -21;
    	             end
    	             if(count == 7) right_contr <=0;  
    		end
    	    end
    	end   
    	//CASE 1 ........................    
    	//1 : begin 
    	else if (state == 0) begin
    	     square_CLR <= 1;
    	     
    	     
    	    if(counter2 == 4090) begin
    	        if(direction ==0) begin
    	          Y_next <= Y_square -1;
    	          X_next <= X_square;
    	        end
    	        else if(direction ==1) begin
    	         Y_next <=  Y_square +21;
    	         X_next <= X_square;
    	         end
    	         else if(direction ==2) begin
    	         X_next <= X_square -1;
    	         Y_next <= Y_square;
    	         end
    	         else begin
    	         X_next <= X_square +21;
    	         Y_next <= Y_square;
    	         end
    	      end
    	        
    	   if (counter2 == 4095) begin
    	        if (direction == 0) begin 
    	             if(check == 1) 
    	               Y_square <= Y_square -1;
    	             else begin
    	              Y_next <= Y_next +1;
    	  
    	              
    	              if (dir_counter == 7) dir_counter <= 0;
    	 	      else dir_counter <= dir_counter + 1;
    	              
    	           
    	           
    	           
    	           
    	           
    	           
    	             // dir4<=dir3;
    	             // dir3<=dir2;
    	              //dir2<=dir1;
    	  	      //if (random_dir == dir4) begin
    	                // direction <= random_dir + 1;
    	                // dir1 <= random_dir + 1;
    	              //end
    	              //else begin
    	                 direction <= dir_counter[1:0];
    	                // dir1 <= random_dir;
    	              //end
    	             end 
    	         end
    	         else if (direction ==1) begin
    	             if(check == 1) begin
    	               Y_square <= Y_square +1;
    	               Y_next <= Y_square +1;
    	              end 
    	              else  begin
    	                 Y_next <=  Y_next -21; 
    	                 
    	                 if (dir_counter == 7) dir_counter <= 0;
    	                 else dir_counter <= dir_counter + 1;
    	                 //dir4<=dir3;
    	                 //dir3<=dir2;
    	                 //dir2<=dir1;
    	  	         //if (random_dir == dir4) begin
    	                    //direction <= random_dir + 1;
    	                    //dir1 <= random_dir + 1;
    	                 //end
    	                 //else begin
    	                    direction <= dir_counter[1:0];
    	                    //dir1 <= random_dir;
    	                 //end
    	              end
    	         end     
    	        else if (direction ==2) begin
    	             if(check ==1) begin
    	                X_square <= X_square - 1;
    	                X_next  <= X_square -1;
    	              end 
    	              else begin 
    	                 X_next <= X_next +1;
    	                 if (dir_counter == 7) dir_counter <= 0;
    	                 else dir_counter <= dir_counter + 1;
    	                 //dir4<=dir3;
    	                 //dir3<=dir2;
    	                 //dir2<=dir1;
    	  	         //if (random_dir == dir4) begin
    	                    //direction <= random_dir + 1;
    	                    //dir1 <= random_dir + 1;
    	                 //end
    	                 //else begin
    	                    direction <= dir_counter[1:0];
    	                    //dir1 <= random_dir;
    	                 //end
    	              end
    	          end
    	          
    	          
    	        else begin  
    	           if(check == 1) begin
    	              X_square <= X_square + 1;
    	              X_next  <= X_square +1;
    	           end 
    	           else begin 
    	              X_next <= X_next -21;
    	              
    	              if (dir_counter == 7) dir_counter <= 0;
    	              else dir_counter <= dir_counter + 1;
    	              //dir4<=dir3;
    	              //dir3<=dir2;
    	              //dir2<=dir1;
    	  	      //if (random_dir == dir4) begin
    	                 //direction <= random_dir + 1;
    	                 //dir1 <= random_dir + 1;
    	              //end
    	             // else begin
    	                 direction <= dir_counter[1:0];
    	                 //dir1 <= random_dir;
    	              //end
    	           end        
    	        end
    	             
    		    
    		
    		  
    	        
    	   end
   	end
     
     		
    //endcase
   
    //keep the previous select
    prev_SELECT <= SELECT;	
    if (prev_SELECT == 0 && SELECT == 1) begin
    	if (state == 1) state <= 0;
    	else state <= 1;
    end	
    
    if (counter2 == 32767) counter2 <= 0;
    else counter2 <= counter2 +1;
    if (counter2 == 100) begin
    	if (UP == 1) up_contr <= 1;
    	else if (DOWN == 1) down_contr <= 1;
    	else if (RIGHT == 1) right_contr <= 1;
    	else if (LEFT == 1) left_contr <= 1;
    end
    //prev_UP <= UP;
    //if (prev_UP == 0 && UP == 1) up_contr <= 1;
    
    //prev_DOWN <= DOWN;
    //if (prev_DOWN ==0 && DOWN == 1) down_contr <= 1;
    
    //prev_RIGHT <= RIGHT;
    //if (prev_RIGHT == 0 && RIGHT == 1) right_contr <= 1;
    
    //prev_LEFT <= LEFT;
    //if (prev_LEFT == 0 && LEFT == 1) left_contr <= 1;
    
   end


end
endmodule 
