module KEY_CODES (SCAN_KEY, CHARCODE, CR) ;

input [7:0] SCAN_KEY ;
output [3:0] CHARCODE ;
output CR ;

// add your declarations here

reg CR;
reg CHARCODE;

// add your code here

always @ (SCAN_KEY) begin
  case (SCAN_KEY)
  // numpad mapping
    8'h70 : begin        //0
      CHARCODE = 10;
      CR = 0;
    end
    8'h69 : begin        //1
      CHARCODE = 1;
      CR = 0;
    end
    8'h72 : begin        //2
      CHARCODE = 2;
      CR = 0;
    end
    8'h7a : begin        //3
      CHARCODE = 3;
      CR = 0;
    end
    8'h6b : begin        //4
      CHARCODE = 4;
      CR = 0;
    end
    8'h73 : begin        //5
      CHARCODE = 5;
      CR = 0;
    end
    8'h74 : begin        //6
      CHARCODE = 6;
      CR = 0;
    end
    8'h6c : begin        //7
      CHARCODE = 7;
      CR = 0;
    end
    8'h75 : begin        //8
      CHARCODE = 8;
      CR = 0;
    end
    8'h7d : begin        //9
      CHARCODE = 9;
      CR = 0;
    end
  // standard mapping
    8'h45 : begin        //0
      CHARCODE = 10;
      CR = 0;
    end
    8'h16 : begin        //1
      CHARCODE = 1;
      CR = 0;
    end
    8'h1e : begin        //2
      CHARCODE = 2;
      CR = 0;
    end
    8'h26 : begin        //3
      CHARCODE = 3;
      CR = 0;
    end
    8'h25 : begin        //4
      CHARCODE = 4;
      CR = 0;
    end
    8'h2e : begin        //5
      CHARCODE = 5;
      CR = 0;
    end
    8'h36 : begin        //6
      CHARCODE = 6;
      CR = 0;
    end
    8'h3d : begin        //7
      CHARCODE = 7;
      CR = 0;
    end
    8'h3e : begin        //8
      CHARCODE = 8;
      CR = 0;
    end
    8'h46 : begin        //9
      CHARCODE = 9;
      CR = 0;
    end
    8'h5a : begin        //\n
      CHARCODE = 15;
      CR = 1;
    end
  endcase
end
endmodule 
