Revision 3
; Created by bitgen D.24 at Fri Mar 09 03:50:55 2001
; Bit lines have the following form:
; <offset> <frame number> <frame offset> <information>
; <information> may be zero or more <kw>=<value> pairs
; Block=<blockname     specifies the block associated with this
;                      memory cell.
;
; Latch=<name>         specifies the latch associated with this memory cell.
;
; Net=<netname>        specifies the user net associated with this
;                      memory cell.
;
; COMPARE=[YES | NO]   specifies whether or not it is appropriate
;                      to compare this bit position between a
;                      "program" and a "readback" bitstream.
;                      If not present the default is NO.
;
; Ram=<ram id>:<bit>   This is used in cases where a CLB function
; Rom=<ram id>:<bit>   generator is used as RAM (or ROM).  <Ram id>
;                      will be either 'F', 'G', or 'M', indicating
;                      that it is part of a single F or G function
;                      generator used as RAM, or as a single RAM
;                      (or ROM) built from both F and G.  <Bit> is
;                      a decimal number.
;
; Info lines have the following form:
; Info <name>=<value>  specifies a bit associated with the LCA
;                      configuration options, and the value of
;                      that bit.  The names of these bits may have
;                      special meaning to software reading the .ll file.
;
Info STARTSEL0=1
Bit     9988     17    197 Block=CLB_R23C25.S1 Latch=YQ Net=Q<4>
Bit    28960     48    197 Block=CLB_R23C25.S0 Latch=YQ Net=Q<5>
Bit    29194     48    431 Block=CLB_R10C25.S0 Latch=YQ Net=H3/U6/left_contr
Bit    35692     59    197 Block=CLB_R23C24.S1 Latch=XQ Net=Q<3>
Bit    39364     65    197 Block=CLB_R23C24.S1 Latch=YQ Net=Q<2>
Bit    58300     96    161 Block=CLB_R25C24.S0 Latch=YQ Net=H3/CLR1
Bit    58336     96    197 Block=CLB_R23C24.S0 Latch=YQ Net=Q<1>
Bit    62008    102    197 Block=CLB_R23C24.S0 Latch=XQ Net=Q<0>
Bit    87946    144    431 Block=CLB_R10C26.S0 Latch=YQ Net=H3/U6/right_contr
Bit    98008    161     89 Block=CLB_R29C23.S1 Latch=YQ Net=H3/CLR2
Bit   117052    192    161 Block=CLB_R25C23.S0 Latch=YQ Net=H3/CLR0
Bit   120994    198    431 Block=CLB_R10C23.S0 Latch=XQ Net=H3/U6/down_contr
Bit   211822    347     71 Block=CLB_R30C21.S1 Latch=XQ Net=H3/X3
Bit   215494    353     71 Block=CLB_R30C21.S1 Latch=YQ Net=H3/X2
Bit   215530    353    107 Block=CLB_R28C21.S1 Latch=YQ Net=H3/X1
Bit   234520    384    125 Block=CLB_R27C21.S0 Latch=YQ Net=H3/X8
Bit   234826    384    431 Block=CLB_R10C21.S0 Latch=YQ Net=H3/U6/prev_SELECT
Bit   238192    390    125 Block=CLB_R27C21.S0 Latch=XQ Net=H3/X9
Bit   241432    395    305 Block=CLB_R17C29.S1 Latch=XQ Net=H3/U6/square_CLR<0>
Bit   245104    401    305 Block=CLB_R17C29.S1 Latch=YQ Net=H3/U6/square_CLR<1>
Bit   245230    401    431 Block=CLB_R10C29.S1 Latch=YQ Net=H3/U6/up_contr
Bit   293200    480     53 Block=CLB_R31C20.S0 Latch=YQ Net=H3/X0
Bit   293236    480     89 Block=CLB_R29C20.S0 Latch=YQ Net=H3/X4
Bit   293254    480    107 Block=CLB_R28C20.S0 Latch=YQ Net=H3/X6
Bit   296908    486     89 Block=CLB_R29C20.S0 Latch=XQ Net=H3/X5
Bit   296926    486    107 Block=CLB_R28C20.S0 Latch=XQ Net=H3/X7
Bit   322900    528    377 Block=CLB_R13C30.S0 Latch=YQ Net=H3/U6/state
Bit   351952    576     53 Block=CLB_R31C19.S0 Latch=YQ Net=H3/H4/Q1
Bit   351988    576     89 Block=CLB_R29C19.S0 Latch=YQ Net=H3/H4/Q9
Bit   355624    582     53 Block=CLB_R31C19.S0 Latch=XQ Net=H3/H4/Q0
Bit   355660    582     89 Block=CLB_R29C19.S0 Latch=XQ Net=H3/H4/Q8
Bit   362446    593    143 Block=CLB_R26C31.S1 Latch=YQ Net=H3/U6/Y_square<2>
Bit   362770    593    467 Block=CLB_R8C31.S1 Latch=YQ Net=H3/U6/count<0>
Bit   381400    624    125 Block=CLB_R27C31.S0 Latch=YQ Net=H3/U6/Y_square<0>
Bit   381418    624    143 Block=CLB_R26C31.S0 Latch=YQ Net=H3/U6/Y_square<3>
Bit   381436    624    161 Block=CLB_R25C31.S0 Latch=YQ Net=H3/U6/Y_square<4>
Bit   381454    624    179 Block=CLB_R24C31.S0 Latch=YQ Net=H3/U6/Y_square<6>
Bit   381472    624    197 Block=CLB_R23C31.S0 Latch=YQ Net=H3/U6/Y_square<8>
Bit   381616    624    341 Block=CLB_R15C31.S0 Latch=YQ Net=H3/U6/X_square<1>
Bit   385072    630    125 Block=CLB_R27C31.S0 Latch=XQ Net=H3/U6/Y_square<1>
Bit   385108    630    161 Block=CLB_R25C31.S0 Latch=XQ Net=H3/U6/Y_square<5>
Bit   385126    630    179 Block=CLB_R24C31.S0 Latch=XQ Net=H3/U6/Y_square<7>
Bit   385144    630    197 Block=CLB_R23C31.S0 Latch=XQ Net=H3/U6/Y_square<9>
Bit   388060    635     53 Block=CLB_R31C18.S1 Latch=XQ Net=H3/H4/Q5
Bit   391732    641     53 Block=CLB_R31C18.S1 Latch=YQ Net=H3/H4/Q4
Bit   410722    672     71 Block=CLB_R30C18.S0 Latch=YQ Net=H3/$Net00031_
Bit   410740    672     89 Block=CLB_R29C18.S0 Latch=YQ Net=H3/H4/Q7
Bit   417760    683    377 Block=CLB_R13C32.S1 Latch=XQ Net=H3/U6/X_square<5>
Bit   421432    689    377 Block=CLB_R13C32.S1 Latch=YQ Net=H3/U6/X_square<7>
Bit   421486    689    431 Block=CLB_R10C32.S1 Latch=YQ Net=H3/U6/X_square<4>
Bit   440350    720    323 Block=CLB_R16C32.S0 Latch=YQ Net=H3/U6/X_next<3>
Bit   440458    720    431 Block=CLB_R10C32.S0 Latch=YQ Net=H3/U6/X_square<6>
Bit   440476    720    449 Block=CLB_R9C32.S0 Latch=YQ Net=H3/U6/count<2>
Bit   440494    720    467 Block=CLB_R8C32.S0 Latch=YQ Net=H3/U6/count<1>
Bit   440530    720    503 Block=CLB_R6C32.S0 Latch=YQ Net=H3/U6/counter2<0>
Bit   440548    720    521 Block=CLB_R5C32.S0 Latch=YQ Net=H3/U6/counter2<4>
Bit   444148    726    449 Block=CLB_R9C32.S0 Latch=XQ Net=H3/U6/count<3>
Bit   444220    726    521 Block=CLB_R5C32.S0 Latch=XQ Net=H3/U6/counter2<5>
Bit   450484    737     53 Block=CLB_R31C17.S1 Latch=YQ Net=$Net00073_
Bit   450502    737     71 Block=CLB_R30C17.S1 Latch=YQ Net=H3/H4/Q6
Bit   469474    768     71 Block=CLB_R30C17.S0 Latch=YQ Net=H3/H4/Q2
Bit   473146    774     71 Block=CLB_R30C17.S0 Latch=XQ Net=H3/H4/Q3
Bit   480238    785    431 Block=CLB_R10C33.S1 Latch=YQ Net=H3/U6/dir_counter<3>
Bit   498904    816    125 Block=CLB_R27C33.S0 Latch=YQ Net=H3/U6/Y_next<1>
Bit   498976    816    197 Block=CLB_R23C33.S0 Latch=YQ Net=H3/U6/Y_next<9>
Bit   499246    816    467 Block=CLB_R8C33.S0 Latch=YQ Net=H3/U6/direction<0>
Bit   499300    816    521 Block=CLB_R5C33.S0 Latch=YQ Net=H3/U6/counter2<2>
Bit   499318    816    539 Block=CLB_R4C33.S0 Latch=YQ Net=H3/U6/counter2<8>
Bit   499336    816    557 Block=CLB_R3C33.S0 Latch=YQ Net=H3/U6/counter2<10>
Bit   499354    816    575 Block=CLB_R2C33.S0 Latch=YQ Net=H3/U6/counter2<12>
Bit   502918    822    467 Block=CLB_R8C33.S0 Latch=XQ Net=H3/U6/direction<1>
Bit   502972    822    521 Block=CLB_R5C33.S0 Latch=XQ Net=H3/U6/counter2<3>
Bit   502990    822    539 Block=CLB_R4C33.S0 Latch=XQ Net=H3/U6/counter2<9>
Bit   503008    822    557 Block=CLB_R3C33.S0 Latch=XQ Net=H3/U6/counter2<11>
Bit   503026    822    575 Block=CLB_R2C33.S0 Latch=XQ Net=H3/U6/counter2<13>
Bit   528604    864    449 Block=CLB_R9C16.S0 Latch=YQ Net=H4/SCAN_KEY0
Bit   532276    870    449 Block=CLB_R9C16.S0 Latch=XQ Net=H4/SCAN_KEY1
Bit   535354    875    467 Block=CLB_R8C34.S1 Latch=XQ Net=H3/U6/dir_counter<1>
Bit   535408    875    521 Block=CLB_R5C34.S1 Latch=XQ Net=H3/U6/counter2<1>
Bit   535426    875    539 Block=CLB_R4C34.S1 Latch=XQ Net=H3/U6/r6
Bit   538684    881    125 Block=CLB_R27C34.S1 Latch=YQ Net=H3/U6/Y_next<2>
Bit   538720    881    161 Block=CLB_R25C34.S1 Latch=YQ Net=H3/U6/Y_next<7>
Bit   539026    881    467 Block=CLB_R8C34.S1 Latch=YQ Net=H3/U6/dir_counter<0>
Bit   539044    881    485 Block=CLB_R7C34.S1 Latch=YQ Net=H3/U6/r1
Bit   539080    881    521 Block=CLB_R5C34.S1 Latch=YQ Net=H3/U6/counter2<14>
Bit   539098    881    539 Block=CLB_R4C34.S1 Latch=YQ Net=H3/U6/r5
Bit   557656    912    125 Block=CLB_R27C34.S0 Latch=YQ Net=H3/U6/Y_next<0>
Bit   557674    912    143 Block=CLB_R26C34.S0 Latch=YQ Net=H3/U6/Y_next<3>
Bit   557692    912    161 Block=CLB_R25C34.S0 Latch=YQ Net=H3/U6/Y_next<5>
Bit   557710    912    179 Block=CLB_R24C34.S0 Latch=YQ Net=H3/U6/Y_next<4>
Bit   557728    912    197 Block=CLB_R23C34.S0 Latch=YQ Net=H3/U6/Y_next<8>
Bit   557746    912    215 Block=CLB_R22C34.S0 Latch=YQ Net=H3/U6/Y_next<6>
Bit   557836    912    305 Block=CLB_R17C34.S0 Latch=YQ Net=H3/U6/X_next<5>
Bit   557962    912    431 Block=CLB_R10C34.S0 Latch=YQ Net=H3/U6/X_next<6>
Bit   557980    912    449 Block=CLB_R9C34.S0 Latch=YQ Net=H3/U6/dir_counter<2>
Bit   558016    912    485 Block=CLB_R7C34.S0 Latch=YQ Net=H3/U6/r9
Bit   558052    912    521 Block=CLB_R5C34.S0 Latch=YQ Net=H3/U6/counter2<6>
Bit   558070    912    539 Block=CLB_R4C34.S0 Latch=YQ Net=H3/U6/r7
Bit   561688    918    485 Block=CLB_R7C34.S0 Latch=XQ Net=H3/U6/r10
Bit   561724    918    521 Block=CLB_R5C34.S0 Latch=XQ Net=H3/U6/counter2<7>
Bit   561742    918    539 Block=CLB_R4C34.S0 Latch=XQ Net=H3/U6/r8
Bit   586978    960     71 Block=CLB_R30C15.S0 Latch=YQ Net=H3/&__A__13
Bit   587014    960    107 Block=CLB_R28C15.S0 Latch=YQ Net=H3/&__A__9
Bit   587356    960    449 Block=CLB_R9C15.S0 Latch=YQ Net=H4/SCAN_KEY2
Bit   590650    966     71 Block=CLB_R30C15.S0 Latch=XQ Net=H3/&__A__14
Bit   590686    966    107 Block=CLB_R28C15.S0 Latch=XQ Net=H3/&__A__10
Bit   591028    966    449 Block=CLB_R9C15.S0 Latch=XQ Net=H4/SCAN_KEY3
Bit   594124    971    485 Block=CLB_R7C35.S1 Latch=XQ Net=H3/U6/r4
Bit   597652    977    341 Block=CLB_R15C35.S1 Latch=YQ Net=H3/U6/X_square<0>
Bit   597688    977    377 Block=CLB_R13C35.S1 Latch=YQ Net=H3/U6/X_next<9>
Bit   597796    977    485 Block=CLB_R7C35.S1 Latch=YQ Net=H3/U6/r3
Bit   616588   1008    305 Block=CLB_R17C35.S0 Latch=YQ Net=H3/U6/X_next<1>
Bit   616624   1008    341 Block=CLB_R15C35.S0 Latch=YQ Net=H3/U6/X_square<2>
Bit   616678   1008    395 Block=CLB_R12C35.S0 Latch=YQ Net=H3/U6/X_square<8>
Bit   616696   1008    413 Block=CLB_R11C35.S0 Latch=YQ Net=H3/U6/X_next<4>
Bit   616768   1008    485 Block=CLB_R7C35.S0 Latch=YQ Net=H3/U6/r2
Bit   620296   1014    341 Block=CLB_R15C35.S0 Latch=XQ Net=H3/U6/X_square<3>
Bit   620350   1014    395 Block=CLB_R12C35.S0 Latch=XQ Net=H3/U6/X_square<9>
Bit   645748   1056     89 Block=CLB_R29C14.S0 Latch=YQ Net=H3/&__A__11
Bit   646108   1056    449 Block=CLB_R9C14.S0 Latch=YQ Net=H4/SCAN_KEY6
Bit   649420   1062     89 Block=CLB_R29C14.S0 Latch=XQ Net=H3/&__A__12
Bit   649780   1062    449 Block=CLB_R9C14.S0 Latch=XQ Net=H4/SCAN_KEY7
Bit   656242   1073    179 Block=CLB_R24C36.S1 Latch=YQ Net=H3/U6/check
Bit   656386   1073    323 Block=CLB_R16C36.S1 Latch=YQ Net=H3/U6/X_next<2>
Bit   656404   1073    341 Block=CLB_R15C36.S1 Latch=YQ Net=H3/U6/X_next<0>
Bit   656440   1073    377 Block=CLB_R13C36.S1 Latch=YQ Net=H3/U6/X_next<7>
Bit   675358   1104    323 Block=CLB_R16C36.S0 Latch=YQ Net=H3/U6/X_next<8>
Bit   682216   1115    449 Block=CLB_R9C13.S1 Latch=XQ Net=H4/D5
Bit   685492   1121     53 Block=CLB_R31C13.S1 Latch=YQ Net=H3/&__A__17
Bit   685888   1121    449 Block=CLB_R9C13.S1 Latch=YQ Net=H4/D4
Bit   704464   1152     53 Block=CLB_R31C13.S0 Latch=YQ Net=H3/&__A__15
Bit   704860   1152    449 Block=CLB_R9C13.S0 Latch=YQ Net=H4/SCAN_KEY4
Bit   708136   1158     53 Block=CLB_R31C13.S0 Latch=XQ Net=H3/&__A__16
Bit   708532   1158    449 Block=CLB_R9C13.S0 Latch=XQ Net=H4/SCAN_KEY5
Bit   740968   1211    449 Block=CLB_R9C12.S1 Latch=XQ Net=H4/D3
Bit   744640   1217    449 Block=CLB_R9C12.S1 Latch=YQ Net=H4/D2
Bit   763216   1248     53 Block=CLB_R31C12.S0 Latch=YQ Net=H3/&__A__18
Bit   763612   1248    449 Block=CLB_R9C12.S0 Latch=YQ Net=H4/D0
Bit   767284   1254    449 Block=CLB_R9C12.S0 Latch=XQ Net=H4/D1
Bit   770344   1259    449 Block=CLB_R9C38.S1 Latch=XQ Net=H3/U6/counter<1>
Bit   774016   1265    449 Block=CLB_R9C38.S1 Latch=YQ Net=H3/U6/counter<14>
Bit   793006   1296    467 Block=CLB_R8C38.S0 Latch=YQ Net=H3/U6/counter<0>
Bit   829096   1355    449 Block=CLB_R9C39.S1 Latch=XQ Net=H3/U6/counter<3>
Bit   829150   1355    503 Block=CLB_R6C39.S1 Latch=XQ Net=H3/U6/counter<9>
Bit   829168   1355    521 Block=CLB_R5C39.S1 Latch=XQ Net=H3/U6/counter<11>
Bit   829186   1355    539 Block=CLB_R4C39.S1 Latch=XQ Net=H3/U6/counter<13>
Bit   832768   1361    449 Block=CLB_R9C39.S1 Latch=YQ Net=H3/U6/counter<2>
Bit   832822   1361    503 Block=CLB_R6C39.S1 Latch=YQ Net=H3/U6/counter<8>
Bit   832840   1361    521 Block=CLB_R5C39.S1 Latch=YQ Net=H3/U6/counter<10>
Bit   832858   1361    539 Block=CLB_R4C39.S1 Latch=YQ Net=H3/U6/counter<12>
Bit   858112   1403     89 Block=CLB_R29C10.S1 Latch=XQ Net=H3/H5/Q8
Bit   858472   1403    449 Block=CLB_R9C10.S1 Latch=XQ Net=H4/D7
Bit   861784   1409     89 Block=CLB_R29C10.S1 Latch=YQ Net=H3/H5/Q9
Bit   862144   1409    449 Block=CLB_R9C10.S1 Latch=YQ Net=H4/D6
Bit   880720   1440     53 Block=CLB_R31C10.S0 Latch=YQ Net=H3/H5/Q1
Bit   880738   1440     71 Block=CLB_R30C10.S0 Latch=YQ Net=H3/$Net00064_
Bit   884392   1446     53 Block=CLB_R31C10.S0 Latch=XQ Net=H3/H5/Q0
Bit   887866   1451    467 Block=CLB_R8C40.S1 Latch=XQ Net=H3/U6/counter<5>
Bit   891538   1457    467 Block=CLB_R8C40.S1 Latch=YQ Net=H3/U6/counter<4>
Bit   910528   1488    485 Block=CLB_R7C40.S0 Latch=YQ Net=H3/U6/counter<6>
Bit   914200   1494    485 Block=CLB_R7C40.S0 Latch=XQ Net=H3/U6/counter<7>
Bit   939472   1536     53 Block=CLB_R31C9.S0 Latch=YQ Net=H3/H5/Q7
Bit   939490   1536     71 Block=CLB_R30C9.S0 Latch=YQ Net=H3/$Net00033_
Bit   979270   1601     71 Block=CLB_R30C8.S1 Latch=YQ Net=H3/H5/Q6
Bit   998242   1632     71 Block=CLB_R30C8.S0 Latch=YQ Net=H3/H5/Q4
Bit   998260   1632     89 Block=CLB_R29C8.S0 Latch=YQ Net=H3/H5/Q2
Bit  1001914   1638     71 Block=CLB_R30C8.S0 Latch=XQ Net=H3/H5/Q5
Bit  1001932   1638     89 Block=CLB_R29C8.S0 Latch=XQ Net=H3/H5/Q3
Bit  1057372   1728    449 Block=CLB_R9C7.S0 Latch=YQ Net=H4/$Net00089_
Bit  1093480   1787    449 Block=CLB_R9C6.S1 Latch=XQ Net=H4/$Net00055_
Bit  1097152   1793    449 Block=CLB_R9C6.S1 Latch=YQ Net=H4/$Net00062_
Bit  1116124   1824    449 Block=CLB_R9C6.S0 Latch=YQ Net=H4/$Net00063_
Bit  1155904   1889    449 Block=CLB_R9C5.S1 Latch=YQ Net=H4/$I330/$Net00036_
Bit  1273408   2081    449 Block=CLB_R9C3.S1 Latch=YQ Net=H4/$I330/$Net00035_
Bit  1409470   2304     35 Block=CLB_R32C1.S0 Latch=YQ Net=H3/U6/CONTROL
Bit  1479037   2417    446 Block=P17 Latch=I Net=$Net00187_
Bit  1479044   2417    453 Block=P13 Latch=I Net=$Net00038_
